> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 過去のクレジット利用状況

過去のクレジット利用状況を月別に返します。必要に応じて、APIキーごとの内訳も取得できます。


## OpenAPI

````yaml ja/api-reference/v1-openapi.json get /team/credit-usage/historical
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: Firecrawl サービスと連携して Web サイトのスクレイピングおよびクロール処理を行うための API です。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /team/credit-usage/historical:
    get:
      tags:
        - Billing
      summary: 認証済みチームのクレジット使用履歴を取得
      operationId: getHistoricalCreditUsage
      parameters:
        - name: byApiKey
          in: query
          description: APIキーごとのクレジット利用履歴を取得
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: 成功時のレスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  periods:
                    type: array
                    items:
                      type: object
                      properties:
                        startDate:
                          type: string
                          format: date-time
                          description: 請求期間の開始日
                          example: '2025-01-01T00:00:00Z'
                        endDate:
                          type: string
                          format: date-time
                          description: 請求期間の終了日
                          example: '2025-01-31T23:59:59Z'
                        apiKey:
                          type: string
                          description: >-
                            課金期間中に使用された API キーの名前。byApiKey が false（デフォルト）の場合は
                            null
                          nullable: true
                        totalCredits:
                          type: integer
                          description: 請求期間中に使用したクレジットの合計
                          example: 1000
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: >-
                      Internal server error while fetching historical credit
                      usage
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````